> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vendor by ID

> Retrieve details of a specific vendor using its unique ID.

This endpoint returns details of a single vendor based on the vendor ID.

If the vendor does not exist, a 404 error will be returned.


## OpenAPI

````yaml GET /vendors/{id}
openapi: 3.0.1
info:
  title: Antei API Reference
  description: >-
    Programmatic access to Antei’s platform. Use this API to manage core objects
    and retrieve taxation insights.
  version: 1.0.0
  license:
    name: MIT
  contact:
    name: Antei Developer Support
    email: support@antei.com
    url: https://antei.com
servers:
  - url: https://api.antei.com
security:
  - bearerAuth: []
paths:
  /vendors/{id}:
    get:
      tags:
        - Vendors
      summary: Get vendor by ID
      description: Retrieve a specific vendor using its unique ID.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the vendor to retrieve
      responses:
        '200':
          description: Vendor details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Vendor'
        '404':
          description: Vendor not found
components:
  schemas:
    Vendor:
      type: object
      required:
        - id
        - name
        - country
      properties:
        id:
          type: string
          description: Unique identifier for the vendor
        name:
          type: string
          description: Vendor's legal or trading name
        country:
          type: string
          description: Country of vendor operation
        tax_id:
          type: string
          description: Vendor's tax identification number
        exempt:
          type: boolean
          description: Indicates whether the vendor is tax exempt
        email:
          type: string
          format: email
          description: Vendor's contact email
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````